#include <iostream>

int sumN(int n) {
	return n * (n + 1) / 2;
}

int main() {
	int t;
	std::cin >> t;

	for (int i = 0; i < t; i++) {
		int n, m, k;
		std::cin >> n; // u
		std::cin >> m; // b
		std::cin >> k; // g

		bool p = false;

		for (int j = 1; j < n; j++) {
			int l = n - j;

			if (sumN(j) + sumN(l) < m) {
				p = true;
				break;
			} else if (j == l) break;
		}

		std::cout << (p ? "Tak" : "Nie") << std::endl;
	}

	return 0;
}